﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.DataPresenter;

namespace xamDataGridDesig
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            DataSet dataSet = new DataSet();

            System.Data.DataTable dt = new System.Data.DataTable("dt1");
            dt.Columns.Add("BSC");
            dt.Columns.Add("PARAM");
            dt.Columns.Add("VALUE FROM");


            System.Data.DataTable dt2 = new System.Data.DataTable("dt2");
            dt2.Columns.Add("BKR");
            dt2.Columns.Add("BOA");
            dt2.Columns.Add("BML");


            DataRow dr1 = dt.NewRow();
            dr1[0] = 1;
            dr1[1] = 2;
            dr1[2] = 3;
            dt.Rows.Add(dr1);
            DataRow dr2 = dt.NewRow();
            dr2[0] = 5;
            dr2[1] = 6;
            dr2[2] = 7;
            dt.Rows.Add(dr2);
            DataRow dr4 = dt.NewRow();
            dr4[0] = 51;
            dr4[1] = 61;
            dr4[2] = 71;
            dt.Rows.Add(dr4);
            DataRow dr3 = dt2.NewRow();
            dr3[0] = 5;
            dr3[1] = 6;
            dr3[2] = 7;
            dt2.Rows.Add(dr3);

            dataSet.Tables.Add(dt);
            dataSet.Tables.Add(dt2);

            DataColumn parentColumn = dataSet.Tables[0].Columns[0];
            DataColumn childColumn = dataSet.Tables[1].Columns[0];


            DataRelation relCustOrder;
            relCustOrder = new DataRelation("CustomersOrders", parentColumn, childColumn);
            dataSet.Relations.Add(relCustOrder);

            xamDataGrid1.DataSource = dataSet.Tables[0].DefaultView;
            
        }

       
    }
}
